Uninstall Tool Intro

Uninstall Tool: Introduction

Uninstall Tool for Windows

Many people install and uninstall software from day to day - so I do. Using Add/Remove programs applet was always the reason to write a fast, small and handy utility to replace Microsoft's (tm) standart applet. The latter is slow & heavy, has many unuseful features and lacks many useful, so the idea of Uninstall Tool was born. You can use it everyday and anywhere - it's free, simple and cool!

Features

  • Great speed and small size, that do not influence the quality
  • Multilingual, cool and simple interface
  • Portable - you can even run it from a usb flash drive
  • Allows you to display hidden installed programs
  • Display of program's occupied space on disk
  • Allows you to filter the software list to find quick what you need
  • Enables to delete programs if their uninstaller fails
  • Enables you to rename program's caption
  • Navigate to selected program's registry entry, installation folder and it's web site
  • Saving (exporting to HTML) current installed software list
  • Running "Windows Components" applet
  • ... a lot of more

See Also

System Requirements

© 2004-2006 Parniuk Ilya. All rights reserved.


Requirements

Uninstall Tool: System Requirements

System Requirements

If you would like to use Uninstall Tool you have to meet the following requirements:

  • Microsoft Windows NT4/2000/XP/2003/Vista operating system (sorry, 9x systems won't be supported any more)
  • Intel or compatible CPU (>= 300 MHz)
  • At least 128 MB of RAM
  • About 300 KB of free disk space ;)

Not too much, right?


Uninstall Tool details

Uninstall Tool: Commands description

Uninstall Tool commands

Here you can find explanations about what Uninstall Tool actually does.

Command | Description
Uninstall | Happens when you press Enter, select Uninstall command from Action menu or from context menu on a selected item in the list. It just executes the uninstall command defined in the registry. Sometimes uninstallers do not delete entries from the registry. In this case you can use the Delete command
Delete | This action simply delete the entry from registry (not from disk!) not to annoy you. Be carefull while doing it - be sure that this program has been deleted from the disk physically. The action can't be reversed (will be in future versions!).
Jump to registry | Opens regedit.exe and jumps to the correspondent branch in the registry. Be carefull when editing registry, this may cause many problems. This feature is only for experts!
Jump to installtion folder | Opens explorer.exe and jumps to the folder where the program is installed
Jump to web site | Opens your default browser with the selected program's home page
Save | Save the list with all details to a HTML file on a disk. Great option, you can print the file afterwards
Hidden items | Toggles display of hidden programs. In most cases they can't ve uninstalled, but it's not recommended to delete them
Display updates | Toggles display of Windows updates. In most cases you don't need to see them at all, so this option is off by default
Windows components | Display windows standart dialog for adding/removing windows components


Uninstall Tool: FAQ

Frequently asked questions

Here's the list questions and answers to them. If you have question not listed below - contact me.

Q: What are hidden elements?

A: Hidden elements are entries that are not usually uninstallable. Their purpose is not clear for me now (I suppose that Windows and some uninstallers check if a certain program presents in the system), so I don't recommend you to delete them.

Q: Why does Uninstall Tool display wrong icons or wrong occupied size for some programs?

A: There's no common way of finding program icons and calculate occupied size. The algorithm of finding correct icon (as well as size) is quite difficult and sometimes can give wrong results. But note that competitors display wrong icons really often, sometimes can't find icon at all (including Microsoft Add/Remove Programs applet!), at the same time Uninstall Tool is really good at it. I'm telling you so, because the algorithm is constantly improving. If you would like to help developing UT, please send me the WWW link of the program with wrong icon.

Q: What compiler was used to write Uninstall Tool?

A: Microsoft Visual C++ 6.0 (MFC)

Q: How can I help you developing Uninstall Tool?

A: You can help me by donating any sum of money or giving any new ideas of improving my software.

See Also

Support

© 2004-2006 Parniuk Ilya. All rights reserved.


Keyboard Shortcuts

There are many useful hotkeys defined in Uninstall Tool. These can speed up your work with the program. You can find all the functions in menu together with associated hotkeys, so you can learn hotkeys just in time of use. Take this list as overview of all hotkeys, not as something you have to know to use Uninstall Tool efficiently.

Available Shortcuts

Press | To
F1 | Displays this help file
F4 | Run Windows Components dialog
F5 | Refresh (reread from registry) the list of installed programs according to the options
Ctrl+S | Save (export) current software list to a HTML file
Ctrl+H | Turn on/off display of hidden elements
Enter | Run the corresponding uninstaller for selected item
Shift+Del | Delete selected item from registry
Ctrl+R | Jump to the selected entry in the registry
Ctrl+E | Jump to the selected program's folder (if possible)
Ctrl+W | Jump to the selected program's web site (if possible)
Up | Go to the next item in the list
Down | Go to the previous item in the list
Home | Scroll to the beginning of the list
End | Scroll to the end of the list
PgDown | Scroll one page down the list
PgUp | Scroll one page up the list
Esc | Quit the program

See Also

Mouse Shortcuts

© 2004-2006 Parniuk Ilya. All rights reserved.


Mouse Shortcuts

You can use your mouse to do some important tasks in Uninstall Tool.

Well, using mouse you can:
  • Click the right mouse button to display Action menu for the currently selected item
  • Use your mouse to scroll the installed software list
  • Hover your mouse over the list and a tooltip with extented details about the application under the cursor must appear

See Also

Keyboard Shortcuts

© 2004-2006 Parniuk Ilya. All rights reserved.


Contact

If you experience problems while using Uninstall Tool or you have any comments, etc., I'm always ready to help you.

Contacting me

You can reach me if you:

  • Send me a letter by e-mail to ilya@crystalidea.com
  • Find me in ICQ: 5450197 is my number
  • Find me in Yahoo: ilya_belarus is my ID
  • Find me in Skype: ilya_belarus is my ID (please note that I speak only English and Russian)
  • Visit my web site and post a topic to its forum


How to translate

If you would like to translate Uninstall Tool to your native language, you need the following things:

  • A good text editor (I highly recommend EmEditor 5) that supports editing UTF-8 formatted files
  • Take 'lang\English.xml' file as an example, all comments for translators are written there
  • After editing verify that your file is saved in UTF-8 encoding (EmEditor - File->Save As...->Encoding - UTF-8)
  • Rename you xml file to english name of you native language (e.g. Spanish.xml, Chinese.xml)
  • Open your xml file in Internet Explorer - there must be no errors with displaying
  • Put your xml file it into 'lang' folder
  • That's it!